## lichviet 1.0.2

=== debian/changelog ===
lichviet (1.0.2) unstable-develop; urgency=low

  * Initial Release.

 -- Cuong Le <metacuong@gmail.com>  Tue, 02 Aug 2011 11:30:37 +0700

  * Add new features and know bugs fixed.

 -- Cuong Le <metacuong@gmail.com>  Tue, 04 Aug 2011 20:30:37 +0700
