=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, mcsp, qtquickcompat
 Description: VietNamese Lunar Calendar
 XSBC-Maemo-Display-Name: Lich Viet
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2235
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
