## lichviet 1.0.2-1

=== debian/changelog ===
lichviet (1.0.2-1) unstable-develop; urgency=low

  * Release 1.0.2-1-beta

 -- Cuong Le <metacuong@gmail.com>  Thu, 25 Aug 2011 13:30:37 +0700
