## lichviet 1.0.2-2

=== debian/changelog ===
lichviet (1.0.2-2) unstable-develop; urgency=low

  * Know bugs fixed and added more informations

 -- Cuong Le <metacuong@gmail.com>  Thu, 26 Aug 2011 16:48:37 +0700
