## lichviet 1.0.2-3

=== debian/changelog ===
lichviet (1.0.2-3) unstable-develop; urgency=low

  * Fixes for pathview date component (slowly in date switching)

 -- Cuong Le <metacuong@gmail.com>  Thu, 27 Aug 2011 14:40:37 +0700
