=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: lichviet
-Section: user/other
+Section: user/utilities
 Priority: optional
 Maintainer: Cuong Le <metacuong@gmail.com>
 Build-Depends: debhelper (>= 5), libqt4-dev
