## lichviet 1.0.2-4

=== debian/changelog ===
lichviet (1.0.2-4) unstable-develop; urgency=low

  * Fixes for month view

 -- Cuong Le <metacuong@gmail.com>  Thu, 13 Sep 2011 14:40:37 +0700
