## lichviet 1.0.2-5

=== debian/changelog ===
lichviet (1.0.2-5) unstable-develop; urgency=low

  * Release 1.0.2-5

 -- Cuong Le <metacuong@gmail.com>  Thu, 16 Sep 2011 22:00:37 +0700
