## lichviet 1.0.2-6

=== debian/changelog ===
lichviet (1.0.2-6) unstable-develop; urgency=low

  * Release 1.0.2-6

 -- Cuong Le <metacuong@gmail.com>  Thu, 16 Sep 2011 22:00:37 +0700
