## lichviet 1.0.2-7

=== debian/changelog ===
lichviet (1.0.2-7) unstable-develop; urgency=low

  * Know bugs fixed

 -- Cuong Le <metacuong@gmail.com>  Thu, 17 Sep 2011 10:00:37 +0700
