## lichviet 1.0.2-7-fremantle1

=== debian/changelog ===
lichviet (1.0.2-7-fremantle1) unstable-develop; urgency=low

  * Rollback QtQuick version to 1.0

 -- Cuong Le <metacuong@gmail.com>  Thu, 17 Sep 2011 10:00:37 +0700
