=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: lichviet
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mcsp, qtquickcompat
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: VietNamese Lunar Calendar
 XSBC-Maemo-Display-Name: Lich Viet
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2235
