=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	# Add here commands to configure the package.
+	qmake LichViet.pro
 
 	touch configure-stamp
 
@@ -38,7 +38,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	$(MAKE) clean
+	# $(MAKE) clean
 
 	dh_clean 
 
@@ -60,9 +60,9 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-#	dh_installchangelogs 
-#	dh_installdocs
-#	dh_installexamples
+	dh_installchangelogs 
+	dh_installdocs
+	dh_installexamples
 #	dh_install
 #	dh_installmenu
 #	dh_installdebconf	
@@ -82,7 +82,7 @@
 #	dh_perl
 #	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps                      # Uncomment this line for publishing!
+	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
